Returns the chromaticy green primary point

- « Imagick::getImageGravity

- Imagick::getImageHeight »

- PHP Manual
- Imagick
- Returns the chromaticy green primary point

# Imagick::getImageGreenPrimary

(PECL imagick 2, PECL imagick 3)

Imagick::getImageGreenPrimary — Returns the chromaticy green primary point

### Description

public Imagick::getImageGreenPrimary(): array

Returns the chromaticity green primary point. Returns an array with the keys "x" and "y".

### Parameters

This function has no parameters.

### Return Values

Returns an array with the keys "x" and "y" on success, throws an ImagickException on failure.

### Errors/Exceptions

Throws ImagickException on error.